Skip to main content
GET
/
personas
/
{persona_id}
Get persona
curl --request GET \
  --url https://api.coval.dev/v1/personas/{persona_id} \
  --header 'X-API-Key: <api-key>'
{
  "persona": {
    "resource_name": "personas/3zfmuDbVQsi4GaseDtiVcS",
    "id": "3zfmuDbVQsi4GaseDtiVcS",
    "name": "Friendly Customer",
    "create_time": "2025-01-24T10:00:00Z",
    "persona_prompt": "You are a friendly customer calling for technical support...",
    "voice_name": "aria",
    "language_code": "en-US",
    "background_sound": "office",
    "wait_seconds": 0.5,
    "conversation_initiation": "speak_first",
    "hold_music_timeout_seconds": 15,
    "update_time": "2025-01-24T12:30:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

persona_id
string
required

Persona resource ID

Example:

"3zfmuDbVQsi4GaseDtiVcS"

Response

Successful response

persona
object
required

Persona resource representation returned by API responses.